Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JRTemplateReference

    java.lang.Object
      net.sf.jasperreports.engine.JRTemplateReference

    public class JRTemplateReference

extends java.lang.Object

A static template reference, consisting of a location from which the template can be loaded.

Version:
  $Id: JRTemplateReference.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRTemplate.getIncludedTemplates()`, `JRXmlTemplateLoader.load(String)`

Constructor Summary
`JRTemplateReference()` Creates an empty reference.
`JRTemplateReference(java.lang.String location)` Creates a reference for a specific location.

Method Summary
`java.lang.String` | `getLocation()` Returns the template location.
`void` | `setLocation(java.lang.String location)` Sets the template location.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRTemplateReference

    public JRTemplateReference()

  Creates an empty reference.

### JRTemplateReference

    public JRTemplateReference(java.lang.String location)

  Creates a reference for a specific location.

  Parameters:
    `location` - the template location

Method Detail

### getLocation

    public java.lang.String getLocation()

  Returns the template location.

  Returns:
    the template location

### setLocation

    public void setLocation(java.lang.String location)

  Sets the template location.

  Parameters:
    `location` - the location of the template

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com